/* Get Ivolved */

.dedication-wall .btn:hover,
.dedication-wall .btn:focus,
.primary-options .btn:hover,
.primary-options .btn:focus,
.secondary-options .btn:hover,
.secondary-options .btn:focus,
.content .btn.btn-minor:hover,
.content .btn.btn-minor:focus,
.donation-message .btn:hover,
.donation-message .btn:focus {
	color: rgb(var(--color-white));
	background: rgb(var(--color-purple));
}

.dedication-wall .btn:focus-visible,
.primary-options .btn:focus-visible,
.secondary-options .btn:focus-visible,
.donation-message .btn:focus-visible,
.options > li a:focus-visible {
	outline-color: rgb(var(--color-white), 0.8);
}

.primary-options,
.secondary-options {
	margin: 1rem 0 2rem;
	display: flex;
	flex-wrap: wrap;
	gap: 1em;
}

.primary-options > div,
.secondary-options > div {
	background: rgb(var(--color-magenta));
	background: linear-gradient(-59deg, #7a038c 0%, #a25dbc 100%);
	color: #fff;
	flex: 1 1 14em;
	padding: 2rem;
	border-radius: 0.5rem;
}

@supports (background-blend-mode: overlay) {
	.primary-options > div {
		background: 
			url('../img/get-involved/noise.webp') repeat,
			url('../img/get-involved/donate.webp') no-repeat,
			linear-gradient(59deg, #6d2f90 0%, #cf2f5e 100%);
		background-position: 
			center,
			bottom left,
			center;
		background-size:
			auto,
			cover,
			auto;
		background-blend-mode:
			overlay,
			normal,
			normal;
	}

	.primary-options > div:nth-child(2) {
		background: 
			url('../img/get-involved/noise.webp') repeat,
			url('../img/get-involved/share.webp') no-repeat,
			linear-gradient(-40deg, #00c5d5 0%, #703189 100%);
		background-position: 
			center,
			top right,
			center;
		background-size:
			auto,
			cover,
			auto;
		background-blend-mode:
			overlay,
			normal,
			normal;		
	}
}

.primary-options .primary-donate {
	flex: 1 1 10em;
}

.primary-options .primary-sign-up {
	flex: 1 1 20em;
}

.inline-button {
	display: inline-block;
	padding-inline-end: 0.5em;
}

.primary-sign-up .actions {
	list-style: none;
	display: inline-flex;
	vertical-align: top;
	flex-wrap: wrap;
	margin: 1rem 0 0;
	padding: 0;
	gap: 0.5rem;
}

.primary-sign-up .actions li {
	margin: 0;
	padding: 0;
}

.primary-sign-up .actions li a {
	padding: 0.25rem;
	display: flex;
	align-items: center;
	justify-content: center;
	height: 1.25em;
	width: 1.25em;	
}

@media (min-width: 42em) {
	.primary-sign-up .actions li a {
		height: 1.6em;
		width: 1.6em;
	}
}

.primary-sign-up .actions li img {
	filter: brightness(0) saturate(100%) invert(23%) sepia(43%) saturate(1914%) hue-rotate(248deg) brightness(87%) contrast(90%);
	width: 1.2em;
	height: 1.2em;
	object-fit: contain;
	object-position: center;
	margin: 0;
}

.primary-sign-up .actions li a:hover img,
.primary-sign-up .actions li a:focus img {
	filter: brightness(0) invert(1);
}

.content .btn.btn-minor {
	float: right;
	font-size: 0.75em;
	margin-inline-start: 1em;
	background: rgb(var(--color-white));
	color: rgb(var(--color-purple));
}

.options {
	padding: 0;
	margin: 1rem 0 2rem;
	display: flex;
	flex-wrap: wrap;
	gap: 1em;
	list-style: none;
}

.options > li {
	background: rgb(var(--color-magenta));
	background: linear-gradient(-49deg, #5a1c78 0%, #9812a3 100%);
	color: #fff;
	flex: 1 0 14em;
	border-radius: 0.5rem;
	padding: 0;
}

.options > li:nth-child(2) {
	background: linear-gradient(-49deg, #911285 0%, #c60476 100%)
}

.options > li:nth-child(3) {
	background: linear-gradient(-49deg, #88185d 0%, #d01548 100%)
}

.options > li a {
	color: #fff;
	font-weight: bold;
}

.options > li a::after {
	content: "\00A0>";
}

.options > li > * {
	padding: 0 1rem;
}

.options > li h3 {
	margin-top: 0.5rem;
}

.options > li p {
	margin: 0 0 1em;
}

.events > li img {
	padding: 0;
	border-radius: 0.5rem 0.5rem 0 0;
	aspect-ratio: 1.8;
	object-fit: cover;
}

.learn-options li {
	padding-top: 1em;
}

.learn-options > li {
	background: linear-gradient(-49deg, #720379 0%, #b12294 100%);
}

.learn-options > li:nth-child(2) {
	background: linear-gradient(-49deg, #5d0092 0%, #0983c2 100%)
}

.learn-options > li:nth-child(3) {
	background: linear-gradient(-49deg, #3e0093 0%, #8e1ca1 100%)
}

.secondary-options {
	background: rgb(var(--color-ltpurple));
	padding: 2rem 0;
	position: relative;
	margin-bottom: 0;
}

.secondary-options::before {
	background: rgb(var(--color-ltpurple));
	position: absolute;
	content: ' ';
	top: 0;
	bottom: 0;
	left: calc(50% - 50vw);
	right: calc(50% - 50vw);
	z-index: -1;
}

.secondary-options > div:nth-child(2) {
	background: linear-gradient(-59deg, #a9107c 0%, #f11e2a 100%);
}

.learn-options img,
.secondary-options img {
	filter: brightness(0) invert(1);
	width: 4em;
	height: 3em;
	object-fit: contain;
	object-position: left;
	margin: 0;
}

.options.learn-options h3,
.secondary-options h2 {
	margin-top: 0;
}

.donation-message {
	margin: 0 auto;
	padding: 6rem 0;
	line-height: 1.2;
	column-gap: 1rem;
	text-align: center;
	text-wrap: balance;
	color: rgb(var(--color-white));
	position: relative;
}

.donation-message::before {
	content: ' ';
	position: absolute;
	top: 0;
	bottom: 0;
	left: calc(50% - 50vw);
	right: calc(50% - 50vw);
	z-index: -1;
	background: rgb(var(--color-magenta));
	background: linear-gradient(59deg, #6d2f90 0%, #cf2f5e 100%);
}

@supports (background-blend-mode: overlay) {
	.donation-message::before {
		background: 
			url('../img/get-involved/noise.webp') repeat,
			url('../img/get-involved/100pct.webp') no-repeat,
			linear-gradient(59deg, #6d2f90 0%, #cf2f5e 100%);
		background-position:
			center,
			center,
			center;
		background-size:
			auto,
			cover,
			auto;
		background-blend-mode:
			overlay,
			normal,
			normal;	
	}
}

#dm-100 {
	font-size: 6rem;
	font-weight: var(--font-base-black);
	line-height: 1;
	font-variant-numeric: proportional-nums;
	display: block;
}

#dm-ofall,
#dm-donations,
#dm-support {
	font-size: 1.4rem;
	font-weight: var(--font-base-bold);
}

#dm-because {
	display: block;
	font-size: 0.85rem;
	max-width: 30rem;
	margin: 0 auto;
}

@media(max-width:30em) {
	#dm-100 {
		font-size: 4rem;
	}
}

.donation-message p+p {
	margin-top: 2rem;
}

main,
.block-basic { 
	margin-bottom: 0;
}
